import java.util.Arrays;

/**
 * Tester for the LetterSet lab
 * @author Joel
 */
public class LetterSetTester
{
	public static void main(String[] args)
	{
		//testing constructor
		LetterSet s1 = new LetterSet("hello world");
		System.out.println("01. {dehllloorw} : " + s1);
		System.out.println("02. size 10 : "+s1.size());
		
		//testing default constructor
		LetterSet s2 = new LetterSet();
		System.out.println("03. {} : " + s2);
		System.out.println("04. size 0 : "+ s2.size());
		System.out.println("05. true : "+ s2.isEmpty());		

		//testing longer constructor
		LetterSet s3 = new LetterSet("Computer Science !!");
		System.out.println("06. {ccceeeimnoprstu} : " + s3);
		
		//testing set count
		int c = s1.getCount('l');
		System.out.println("07. count 3 : "+ c);
		s1.setCount('z', 3);
		System.out.println("08. {dehllloorwzzz} : " + s1);
		System.out.println("09. size 13 : "+ s1.size());
		s1.setCount('z',0);
		System.out.println("10. size 10 : "+ s1.size());
		
		//Testing add
		LetterSet s5 = new LetterSet("cat");
		LetterSet s6 = new LetterSet("dog");
		LetterSet s7 = s5.add(s6);
		System.out.println("11. {acdgot} : " + s7);
		System.out.println("12. size 3 : " + s5.size());
		System.out.println("13. {act} : " + s5);

		//Tesing sub
		LetterSet s4 = new LetterSet("lord");		
		LetterSet s8 = s1.sub(s4);
		System.out.println("14. {ehllow} : " + s8);
		System.out.println("15. 6 : " + s8.size());
		System.out.println("16. {dehllloorw} : " + s1);
		LetterSet s9 = s1.sub(s3);
		System.out.println("17. true : " + (s9 == null));
	}
	
	
}
